﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>Ilm</title>
</head>
<body style="background-image: url('cloudy_sky.jpg'); width:initial">
    <h1>Ilmajaam</h1>
    <button id="kohad" value="kohad">Vali linn</button>

   
    <div id="searchback">
        <form method="get" action="/search" id="searchbox">
            <input id="search" name="q" type="text" size="40" onkeyup="myDrop()" placeholder="Otsi linna..." />
            <select id="drop"></select>
            <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        </form>
    </div>

    <p id="demo"></p>
    <div id="vastus"></div>

    <script>
        $(document).ready(function () {
            $("#kohad").click(function kohad() {

                $.get("/api/default").done(function (data) {
                    $("demo").text(data);
                    var myDrop = $("#drop");
                    var data2 = $.parseJSON(data);
                    for (i = 0; i < data2.length; i++) {
                        myDrop.children().end().append("<option value=" + data2[i].code + ">" + data2[i].name + "</option>");
                    }
                    myDrop.change(function () {
                        $.get("/api/default/" + this.value).done(function (data3) {
                            console.log(data3);
                            data3 = JSON.parse(data3);
                            $("#wind").text(data3.wind.value + ' ' + data3.wind.units);
                            $("#direction").text(data3.winddirection.value + ' ' + data3.winddirection.units); $("#wind").text(data3.wind.value + ' ' + data3.wind.units);
                            $("#temperature").text(data3.temperature.value + ' ' + data3.temperature.units);
                            $("#dewpoint").text(data3.dewpoint.value + ' ' + data3.dewpoint.units);
                            $("#relativehumidity").text(data3.relativehumidity.value + ' ' + data3.relativehumidity.units);
                            $("#precipitations").text(data3.precipitations.value + ' ' + data3.precipitations.units);
                            $("#precipitationsperiod").text(data3.precipitationsperiod.value + ' ' + data3.precipitationsperiod.units);
                            $("#pressure").text(data3.pressure.value + ' ' + data3.pressure.units);
                            $("#pressurechange").text(data3.pressurechange.value + ' ' + data3.pressurechange.units);
                            $("#cloudcovertotal").text(data3.cloudcovertotal);
                            $("#visibility").text(data3.visibility);
                            $("#mode").text(data3.mode);
                        })
                    })
                });

            });

        });


        var input, filter, kohad, a, i;
        input = document.getElementById("search");
        filter = input.value.toUpperCase();
        kohad = document.getElementById("kohad");
        for (i = 0; i < length; i++) {
            a = i.getElementById("kohad");
            if (a.innerHTML.toUpperCase().indexOf(filter) > -1) {
                i.style.display = "";
            }
            else {
                i.style.display = "pole sellist";
            }
        }



        function f() { /*alert("Tere");*/
            $("#demo").text("Tere");
        }
    </script>

    <dl class="dl-horizontal">
        <dt>Tuul:</dt>
        <dd id="wind"></dd>
        <dt>Tuulesuund:</dt>
        <dd id="direction"></dd>
        <dt>Temperatuur:</dt>
        <dd id="temperature"></dd>
        <dt>Kondenseerumispunkt:</dt>
        <dd id="dewpoint"></dd>
        <dt>Suhteline niiskus:</dt>
        <dd id="relativehumidity"></dd>
        <dt>Sademed:</dt>
        <dd id="precipitations"></dd>
        <dt>Sademeteperiood:</dt>
        <dd id="precipitationsperiod"></dd>
        <dt>Õhurõhk:</dt>
        <dd id="pressure"></dd>
        <dt>Õhurõhu muutused:</dt>
        <dd id="pressurechange"></dd>
        <dt>Pilvisus:</dt>
        <dd id="cloudcovertotal"></dd>
        <dt>Nähtavus:</dt>
        <dd id="visibility"></dd>
        <dt>Mood:</dt>
        <dd id="mode"></dd>
    </dl>
</body>
</html>